/* LINK */
.rtds-action-link {
    font-size: var(--fontsize-text-base);
        color: var(--color-link-primary);
    display: inline-flex;
    align-items: center;
    gap: var(--spacing-2);
    font-weight: 700;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
.rtds-action-link:hover {
    text-decoration-line: underline;
        color: var(--color-link-primary-hover);
}
.rtds-action-link:focus {
    color: var(--color-primary-800);
}
@media (min-width: 768px) {
    .rtds-action-link {
        font-size: var(--fontsize-text-base);
    }
}
.rtds-action-link--sm {
    gap: var(--spacing-1-5);
    font-size: var(--fontsize-text-sm);
}
.rtds-action-link--lg {
    gap: var(--spacing-2-5);
    font-size: var(--fontsize-text-lg);
}
.rtds-action-link--underline {
    text-decoration-line: underline;
}
/* ICON ONLY */
.rtds-action-link--icon-only {
    border-radius: 0.125rem;
    padding: var(--spacing-1);
}
.rtds-action-link--icon-only:hover {
    background-color: var(--color-secondary-50);
        color: var(--color-content-primary-dark);
}
/* SIZE */
:where(.rtds-action-link) .rtds-icon {
    width: var(--spacing-5);
    height: var(--spacing-5);
}
:where(.rtds-action-link--sm) .rtds-icon {
    width: var(--spacing-4);
    height: var(--spacing-4);
}
:where(.rtds-action-link--lg) .rtds-icon {
    width: var(--spacing-6);
    height: var(--spacing-6);
}
